Page MenuHomeMiraheze

"Wikimedia\Rdbms\DBQueryError"
Closed, InvalidPublic

Description

Hello, this page on nonciclopedia.org won't load because of the above database error. It's an important community page.

Event Timeline

RhinosF1 triaged this task as High priority.Nov 3 2020, 16:19
2020-11-03 16:20:55 mw6 nonciclopediawiki: [3a74a151c3a275a49d054cc7] /wiki/Nonciclopedia:Bettola   Wikimedia\Rdbms\DBQueryError from line 1699 of /srv/mediawiki/w/includes/libs/rdbms/database/Database.php: Error 1054: Unknown column 'rev.rev_user' in 'field list' (db13.miraheze.org)
Function: DPL\Query::buildAndSelect
Query: SELECT DISTINCT rev.rev_timestamp,rev.rev_id,rev.rev_user,rev.rev_user_text,rev.rev_comment,`page`.page_namespace AS `page_namespace`,`page`.page_id AS `page_id`,`page`.page_title AS `page_title`  FROM `revision` `rev`,`page`    WHERE (`page`.page_id = rev.rev_page) AND (rev.rev_timestamp = (SELECT MAX(rev_aux.rev_timestamp) FROM `revision` AS rev_aux WHERE rev_aux.rev_page = rev.rev_page)) AND `page`.page_is_redirect = 0 AND `page`.page_namespace IN (1,5,7,2001,2003,2013,2015,2017,2019,9,11,13,2005,2007,2009,15)  AND (NOT (`page`.page_title like'%/Archivio%')) AND (`page`.page_id = rev.rev_page) AND (rev.rev_timestamp >= '20201003000000') AND (`page`.page_id = rev.rev_page) AND (rev.rev_timestamp = (SELECT MAX(rev_aux_max.rev_timestamp) FROM `revision` AS rev_aux_max WHERE rev_aux_max.rev_page = rev.rev_page)) AND (`page`.page_id = rev.rev_page)  ORDER BY rev.rev_timestamp DESC,rev.rev_id DESC LIMIT 10  

#0 /srv/mediawiki/w/includes/libs/rdbms/database/Database.php(1683): Wikimedia\Rdbms\Database->getQueryException(string, integer, string, string)
#1 /srv/mediawiki/w/includes/libs/rdbms/database/Database.php(1658): Wikimedia\Rdbms\Database->getQueryExceptionAndLog(string, integer, string, string)
#2 /srv/mediawiki/w/includes/libs/rdbms/database/Database.php(1227): Wikimedia\Rdbms\Database->reportQueryError(string, integer, string, string, boolean)
#3 /srv/mediawiki/w/includes/libs/rdbms/database/DBConnRef.php(68): Wikimedia\Rdbms\Database->query(string, string, integer)
#4 /srv/mediawiki/w/includes/libs/rdbms/database/DBConnRef.php(286): Wikimedia\Rdbms\DBConnRef->__call(string, array)
#5 /srv/mediawiki/w/extensions/DynamicPageList3/classes/Query.php(306): Wikimedia\Rdbms\DBConnRef->query(string, string)
#6 /srv/mediawiki/w/extensions/DynamicPageList3/classes/Parse.php(220): DPL\Query->buildAndSelect(boolean)
#7 /srv/mediawiki/w/extensions/DynamicPageList3/DynamicPageListHooks.php(306): DPL\Parse->parse(string, Parser, NULL, NULL, boolean)
#8 /srv/mediawiki/w/includes/parser/Parser.php(3340): DynamicPageListHooks::dplParserFunction(Parser, string, string, string, string, string, string, string, string, string, string, string, string, string, string, string, string)
#9 /srv/mediawiki/w/includes/parser/Parser.php(3047): Parser->callParserFunction(PPTemplateFrame_Hash, string, array)
#10 /srv/mediawiki/w/includes/parser/PPFrame_Hash.php(253): Parser->braceSubstitution(array, PPTemplateFrame_Hash)
#11 /srv/mediawiki/w/includes/parser/PPTemplateFrame_Hash.php(89): PPFrame_Hash->expand(PPNode_Hash_Tree, integer)
#9 /srv/mediawiki/w/includes/parser/Parser.php(3047): Parser->callParserFunction(PPTemplateFrame_Hash, string, array)
#10 /srv/mediawiki/w/includes/parser/PPFrame_Hash.php(253): Parser->braceSubstitution(array, PPTemplateFrame_Hash)
#11 /srv/mediawiki/w/includes/parser/PPTemplateFrame_Hash.php(89): PPFrame_Hash->expand(PPNode_Hash_Tree, integer)
#12 /srv/mediawiki/w/includes/parser/Parser.php(3222): PPTemplateFrame_Hash->cachedExpand(string, PPNode_Hash_Tree)
#13 /srv/mediawiki/w/includes/parser/PPFrame_Hash.php(253): Parser->braceSubstitution(array, PPFrame_Hash)
#14 /srv/mediawiki/w/includes/parser/PPTemplateFrame_Hash.php(169): PPFrame_Hash->expand(PPNode_Hash_Tree, integer)
#15 /srv/mediawiki/w/includes/parser/PPTemplateFrame_Hash.php(181): PPTemplateFrame_Hash->getNamedArgument(string)
#16 /srv/mediawiki/w/includes/parser/Parser.php(3834): PPTemplateFrame_Hash->getArgument(string)
#17 /srv/mediawiki/w/includes/parser/PPFrame_Hash.php(270): Parser->argSubstitution(array, PPTemplateFrame_Hash)
#18 /srv/mediawiki/w/includes/parser/Parser.php(3225): PPFrame_Hash->expand(PPNode_Hash_Tree)
#19 /srv/mediawiki/w/includes/parser/PPFrame_Hash.php(253): Parser->braceSubstitution(array, PPFrame_Hash)
#20 /srv/mediawiki/w/includes/parser/Parser.php(2887): PPFrame_Hash->expand(PPNode_Hash_Tree, integer)
#21 /srv/mediawiki/w/includes/parser/Parser.php(1556): Parser->replaceVariables(string)
#22 /srv/mediawiki/w/includes/parser/Parser.php(651): Parser->internalParse(string)
#23 /srv/mediawiki/w/includes/content/WikitextContent.php(374): Parser->parse(string, Title, ParserOptions, boolean, boolean, integer)
#24 /srv/mediawiki/w/includes/content/AbstractContent.php(590): WikitextContent->fillParserOutput(Title, integer, ParserOptions, boolean, ParserOutput)
#25 /srv/mediawiki/w/includes/Revision/RenderedRevision.php(263): AbstractContent->getParserOutput(Title, integer, ParserOptions, boolean)
#26 /srv/mediawiki/w/includes/Revision/RenderedRevision.php(235): MediaWiki\Revision\RenderedRevision->getSlotParserOutputUncached(WikitextContent, boolean)
#27 /srv/mediawiki/w/includes/Revision/RevisionRenderer.php(215): MediaWiki\Revision\RenderedRevision->getSlotParserOutput(string)
#28 /srv/mediawiki/w/includes/Revision/RevisionRenderer.php(152): MediaWiki\Revision\RevisionRenderer->combineSlotOutput(MediaWiki\Revision\RenderedRevision, array)
#29 [internal function]: MediaWiki\Revision\RevisionRenderer->MediaWiki\Revision\{closure}(MediaWiki\Revision\RenderedRevision, array)
#30 /srv/mediawiki/w/includes/Revision/RenderedRevision.php(197): call_user_func(Closure, MediaWiki\Revision\RenderedRevision, array)
#31 /srv/mediawiki/w/includes/poolcounter/PoolWorkArticleView.php(216): MediaWiki\Revision\RenderedRevision->getRevisionParserOutput()
#32 /srv/mediawiki/w/includes/poolcounter/PoolCounterWork.php(162): PoolWorkArticleView->doWork()
#33 /srv/mediawiki/w/includes/page/Article.php(810): PoolCounterWork->execute()
#34 /srv/mediawiki/w/includes/actions/ViewAction.php(74): Article->view()
#35 /srv/mediawiki/w/includes/MediaWiki.php(527): ViewAction->show()
#36 /srv/mediawiki/w/includes/MediaWiki.php(313): MediaWiki->performAction(Article, Title)
#37 /srv/mediawiki/w/includes/MediaWiki.php(940): MediaWiki->performRequest()
#38 /srv/mediawiki/w/includes/MediaWiki.php(543): MediaWiki->main()
#39 /srv/mediawiki/w/index.php(53): MediaWiki->run()
#40 /srv/mediawiki/w/index.php(46): wfIndexMain()
#41 {main}

DynamicPageList3 does not support actor.

But it used to work flawlessly for more than 1 year and I made no changes (except from reverting vandalism).

But it used to work flawlessly for more than 1 year and I made no changes (except from reverting vandalism).

It's not your fault. The software used to feature that page uses an extension which does not use up-to-date technology.

That's going to mess up so many wikis, DPL3 is probably one of the most used extensions. Anyway, there's something I can do to fix it? My knowledge of DPL is limited.

John added a subscriber: John.

Why is this a performance issue?

In T6402#126054, @John wrote:

Why is this a performance issue?

Because the page wouldn't load. I won't re-add it, however, someone else can do that if needed.

Wasnt merged, tasks arent related according to provided info

Reception123 claimed this task.

The page seems to be working now.

@Reception123 You mean the page I linked when opening this ticket? It works just because I deleted the author search from the DPL, but the old version will still give that error: https://nonciclopedia.org/w/index.php?title=Template:Bar7/Discussioni&oldid=2249158

As @Wedhro added a comment, and stated the page wasn't working, reopening due to error. Close if needed.

BlackWidowMovie0000Editor lowered the priority of this task from High to Normal.Nov 12 2020, 19:40

Normal for now.

As I said in T6391, it is certain that it is not normal if you look at the log.
I thought it wouldn't be resolved forever, so I took first aid. That's why it looks normal. Don't get me wrong.

J-Josyu raised the priority of this task from Normal to High.Nov 13 2020, 13:58
RhinosF1 lowered the priority of this task from High to Normal.
RhinosF1 added a project: Upstream.